Public Member Functions | Static Public Member Functions | List of all members
clan::UIThread Class Reference

`#include <ui_thread.h>`

## Public Member Functions
| UIThread ()
| Constructs a null instance. More...
| UIThread (ResourceManager manager, const std::function< void(const std::exception_ptr &)> &exception_handler=std::function< void(const std::exception_ptr &)>())
| ~UIThread ()

## Static Public Member Functions
static UIThread * | get_instance ()
static ResourceManager | get_resources ()
static bool | try_catch (const std::function< void()> &block)

## Constructor & Destructor Documentation

clan::UIThread::UIThread | ( |  | ) |

Constructs a null instance.

clan::UIThread::UIThread | ( | ResourceManager | manager,
|  | const std::function< void(const std::exception_ptr &)> & | exception_handler = `std::function< void(const std::exception_ptr &)>()`
| ) |  |

clan::UIThread::~UIThread | ( |  | ) |

## Member Function Documentation

static UIThread* clan::UIThread::get_instance | ( |  | ) |
| static

static ResourceManager clan::UIThread::get_resources | ( |  | ) |
| static

static bool clan::UIThread::try_catch | ( | const std::function< void()> & | block | ) |
| static

The documentation for this class was generated from the following file:

- ui_thread.h